UpdateBdsMetastoreConfigurationDetails¶
- class oci.bds.models.UpdateBdsMetastoreConfigurationDetails(**kwargs)¶
Bases:
objectThe request body when updating BDS metastore configuration.
Methods:
__init__(**kwargs)Initializes a new UpdateBdsMetastoreConfigurationDetails object with values from keyword arguments.
Attributes:
Gets the bds_api_key_id of this UpdateBdsMetastoreConfigurationDetails.
Gets the bds_api_key_passphrase of this UpdateBdsMetastoreConfigurationDetails.
Gets the cluster_admin_password of this UpdateBdsMetastoreConfigurationDetails.
Gets the display_name of this UpdateBdsMetastoreConfigurationDetails.
Gets the secret_id of this UpdateBdsMetastoreConfigurationDetails.
- __init__(**kwargs)¶
Initializes a new UpdateBdsMetastoreConfigurationDetails object with values from keyword arguments. The following keyword arguments are supported (corresponding to the getters/setters of this class):
- Parameters
display_name (str) – The value to assign to the display_name property of this UpdateBdsMetastoreConfigurationDetails.
bds_api_key_id (str) – The value to assign to the bds_api_key_id property of this UpdateBdsMetastoreConfigurationDetails.
bds_api_key_passphrase (str) – The value to assign to the bds_api_key_passphrase property of this UpdateBdsMetastoreConfigurationDetails.
cluster_admin_password (str) – The value to assign to the cluster_admin_password property of this UpdateBdsMetastoreConfigurationDetails.
secret_id (str) – The value to assign to the secret_id property of this UpdateBdsMetastoreConfigurationDetails.
- property bds_api_key_id¶
Gets the bds_api_key_id of this UpdateBdsMetastoreConfigurationDetails. The ID of BDS Api Key used for Data Catalog metastore integration. Set only if metastore’s type is EXTERNAL.
- Returns
The bds_api_key_id of this UpdateBdsMetastoreConfigurationDetails.
- Return type
str
- property bds_api_key_passphrase¶
Gets the bds_api_key_passphrase of this UpdateBdsMetastoreConfigurationDetails. Base-64 encoded passphrase of the BDS Api Key.
- Returns
The bds_api_key_passphrase of this UpdateBdsMetastoreConfigurationDetails.
- Return type
str
- property cluster_admin_password¶
Gets the cluster_admin_password of this UpdateBdsMetastoreConfigurationDetails. Base-64 encoded password for the cluster admin user.
- Returns
The cluster_admin_password of this UpdateBdsMetastoreConfigurationDetails.
- Return type
str
- property display_name¶
Gets the display_name of this UpdateBdsMetastoreConfigurationDetails. The display name of the metastore configuration.
- Returns
The display_name of this UpdateBdsMetastoreConfigurationDetails.
- Return type
str
- property secret_id¶
Gets the secret_id of this UpdateBdsMetastoreConfigurationDetails. The secretId for the clusterAdminPassword.
- Returns
The secret_id of this UpdateBdsMetastoreConfigurationDetails.
- Return type
str